#!/bin/bash
set -x
pid=$1
cat /proc/$pid/smaps > /mnt/mydata/dump/smaps.log
mkdir /tmp/debug
mount -t debugfs debug /tmp/debug/
echo $pid > /tmp/debug/tracing/set_ftrace_pid &&
echo function > /tmp/debug/tracing/current_tracer &&
echo 0 > /tmp/debug/tracing/tracing_on &&
echo 1 > /tmp/debug/tracing/tracing_on || exit 1
./criu dump --tree $pid --shell-job --images-dir /mnt/mydata/dump -D /mnt/mydata/dump -o dump.log -v4
echo 0 > /tmp/debug/tracing/tracing_on &&
cat /tmp/debug/tracing/trace > /mnt/mydata/dump/trace.log || exit 1
